Je supporte de moins en moins IE 7/8

Ce qui m'est devenu insuportable c'est de devoir saloper un code javascript propre et efficace pour qu'il puisse fonctionner sur ces navigateurs.

Principal (mais loin d'être le seul) grief : la non implémentation du modèle d'écoute / émission d'événements. Obliger dés lors de polluer le code avec des encapsulations d'API et/ou des tests sur l'environnement d'exécution, de changer la manière dont des méthodes interagissent entre elles… Ce n'est pas nouveau ; je fais cela depuis 20003 mais aujourd'hui, je ne sais pas pourquoi, ça m'a gavé de le faire.

C'était le quart d'heure « ras le cul » après avoir passé plusieurs jours à développer une fonctionnalité de sélection de zone dans une application web et comprendre que la simplicité du code va voler en éclat parce que notre AGL doit supporter IE 7/8.

Merde !